//--For Testing--//
ZapkCRPG_AdminGui.delete();
//--Load the GUI--//
exec($ZapkCRPG_Path @ "gui/AdminGui.gui");
//--Functions--//
function ZapkCRPG_pushAdminGui()
{
	canvas.pushDialog(ZapkCRPG_AdminGui);
	ZapkCRPG_GetPlayers();
	$ZapkCRPG_playersList::selectedPlayer = "";
}

//--Players List (<3 Zeblote)--//
function ZapkCRPG_GetPlayers()
{
	$ZapkCRPG_playersList::selectedPlayer = 0;
	ZapkCRPG_playersList.clear();
	for(%i = 0; %i < NPL_List.rowCount(); %i++)
	{
		%row = NPL_List.getRowText(%i);
	
		$ZapkCRPG_playersList::name[%i] = getField(%row,1);
	
		%objid = NPL_List.getRowId(%i);
	
		ZapkCRPG_playersList.addRow(%i,$ZapkCRPG_playersList::name[%i]);
	}
	ZapkCRPG_playersList.sort(0);
}

function ZapkCRPG_playersList::onSelect(%client,%i,%text)
{
	$ZapkCRPG_playersList::selectedPlayer = $ZapkCRPG_playersList::name[%i];
	echo("ZapkCRPG selected player: " @ $ZapkCRPG_playersList::selectedPlayer);
}
//--Admin Command Buttons--//
function ZapkCRPG_grantMoney()
{
	%Name = $ZapkCRPG_playersList::selectedPlayer;
	%Amount = ZapkCRPG_Amount.getValue();
	
	if(%Name $= "" || %Amount == 0)
		clientCmdZapkCRPG_mc("Administration", "You must select a player and verify an amount!");
	
	else
		commandToServer('grantMoney',%Amount,%Name);
}

function ZapkCRPG_deductMoney()
{
	%Name = $ZapkCRPG_playersList::selectedPlayer;
	%Amount = ZapkCRPG_Amount.getValue();
	
	if(%Name $= "" || %Amount == 0)
		clientCmdZapkCRPG_mc("Administration", "You must select a player and verify an amount!");
	
	else
		commandToServer('deductMoney',%Amount,%Name);
}

function ZapkCRPG_pardon()
{
	%Name = $ZapkCRPG_playersList::selectedPlayer;
	%Amount = ZapkCRPG_Amount.getValue();
	
	if(%Name $= "")
		clientCmdZapkCRPG_mc("Administration", "You must select a player!");
	
	else
		commandToServer('pardon',%Name);
}

function ZapkCRPG_addDemerits()
{
	%Name = $ZapkCRPG_playersList::selectedPlayer;
	%Amount = ZapkCRPG_Amount.getValue();
	
	if(%Name $= "" || %Amount == 0)
		clientCmdZapkCRPG_mc("Administration", "You must select a player and verify an amount!");
	
	else
		commandToServer('addDemerits',%Amount,%Name);
}

function ZapkCRPG_rainMoney()
{
	%Name = $ZapkCRPG_playersList::selectedPlayer;
	%Amount = ZapkCRPG_Amount.getValue();
	
	if(%Amount == 0)
		clientCmdZapkCRPG_mc("Administration", "You must verify an amount!");
	
	else
		commandToServer('rainMoney',%Amount);
}

function ZapkCRPG_eraseRecord()
{
	%Name = $ZapkCRPG_playersList::selectedPlayer;
	%Amount = ZapkCRPG_Amount.getValue();
	
	if(%Name $= "")
		clientCmdZapkCRPG_mc("Administration", "You must select a player!");
	
	else
		commandToServer('eraseRecord',%Name);
}

function ZapkCRPG_resetUser()
{
	%Name = $ZapkCRPG_playersList::selectedPlayer;
	%Amount = ZapkCRPG_Amount.getValue();
	
	if(%Name $= "")
		clientCmdZapkCRPG_mc("Administration", "You must select a player!");
	
	else
		commandToServer('resetUser',%Name);
}

function ZapkCRPG_respawnPlayer()
{
	%Name = $ZapkCRPG_playersList::selectedPlayer;
	%Amount = ZapkCRPG_Amount.getValue();
	
	if(%Name $= "")
		clientCmdZapkCRPG_mc("Administration", "You must select a player!");
	
	else
		commandToServer('ZapkCRPG_respawnPlayer',%Name);
}