//--For Testing--//
ZapkCRPG_HelpGui.delete();
//--Load the GUI--//
exec($ZapkCRPG_Path @ "gui/HelpGui.gui");
//--Functions--//
function ZapkCRPG_pushHelpGui()
{
	canvas.pushDialog(ZapkCRPG_HelpGui);
	ZapkCRPG_clearHelp();
	ZapkCRPG_helpText.setValue("\c1Zapk's CityRPG Help\n\c0Please select a category from the menu to the left.");
}

function ZapkCRPG_clearHelp()
{
	ZapkCRPG_helpHeader.setValue("");
	ZapkCRPG_helpText.setValue("");
}

function ZapkCRPG_helpCredits()
{
	ZapkCRPG_clearHelp();
	ZapkCRPG_helpHeader.setValue("Credits");
	ZapkCRPG_helpText.setValue("<bitmap:add-ons/client_zapkcityrpg/images/smallLogo.png>\n\n\c1Server Code\n\c0<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Iban\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Trader\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Jookia\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Zapk\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Dionysus\n\n\c1Client Code\n\c0<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Zapk\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Zeblote\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Dionysus\n\n\c1User Interface\n\c0<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Zapk\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Ephialtes\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Dionysus\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Jasa\n\n\c1Special Thanks\n\c0<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Ephialtes\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Zeblote\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Warthog\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>DrenDran\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Darkmario765\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Dionysus\n<bitmap:Add-Ons/Client_ZapkCityRPG/images/bullet.png>Jasa\n\n\nZapk's CityRPG Client - Version " @ $ZapkCRPG_Version @ "\nReleased on " @ $ZapkCRPG_RD);
}

function ZapkCRPG_helpJobs()
{
	ZapkCRPG_clearHelp();
	ZapkCRPG_helpHeader.setValue("Jobs");
	ZapkCRPG_helpText.setValue("\c0Jobs are one of the most important aspects of CityRPG.\nTo apply for a job, do /job [job-name].\n\n\c1Civilian\n\c0Civilian is the starter job when you join the server. It gives you $25 a day, requires 0 education, and costs $0 to become one.\n\n\c1Grocer\n\c0Grocers can sell food to other people. It costs $25 to become one, gives you $25 a day, and requires 1 education.\n\n\c1Policeman\n\c0Policemen can kill and arrest criminals, but require a clean record. It costs $25 to become one, gives $50 a day, and requires 2 education.\n\n\c1Police Chief\n\c0Police Chiefs can arrest criminals and place bounties, but require a clean record. It cost $100 to become one, gives $100 a day, and requires 4 education.\n\n\c1Criminal\n\c0Criminals can pickpocket and kill people. It costs $50 to become one, gives $40 a day, and requires 1 education.\n\n\c1Bounty Hunter\n\c0Bounty Hunters can arrest criminals and claim bounties, but don't require a clean record. It costs $50 to become one, gives $25 a day, and requires 1 education.\n\n\c1Official\n\c0Officials get high salaries, can place bounties, pardon people, and require a clean record. It costs $0 to become one, gives $100 a day, but require 6 education.\n\n\c1Miner\n\c0Miners earn money by how hard they work and how many ores/gems they get. It costs $25 to become one, gives $0 a day, and requires 0 education.\n\n\c1Shop Keeper\n\c0Shop Keepers can sell items, food, and clothes to people. It costs $75 to become one, gives $45 a day, and requires 3 education.\n\n\c1Arms Dealer\n\c0Arms Dealers sells items to other people. It costs $150 to become one, gives $35 a day, and requires 2 education.\n\n\c1Lumberjack\n\c0Lumberjacks earn money by how hard they work and how much lumber they get. It costs $25 to become one, gives $0 a day, and requires 0 education.\n\n\c1Laborer\n\c0Laborers earn money by how hard they work and how much ores, gems, and lumber they get. It costs $50 to become one, gives $0 a day, and requires 0 education.\n\n\c1Tailor\n\c0Tailors weave and sell clothes for people. It costs $25 to become one, gets $25 a day, and requires 1 education.\n\n\c1Council Member\n\c0Council members are for Admins only. It costs $0 to become one, gets $100 a day, and requires 0 education.\n\n\c1Host\n\c0Host only (derp). It costs $0 to become one, gets $100 a day, and requires 0 education.");
}

function ZapkCRPG_helpCommands()
{
	ZapkCRPG_clearHelp();
	ZapkCRPG_helpHeader.setValue("Commands");
	ZapkCRPG_helpText.setValue("\c0Commands are lines you type into the chat to achieve certain functions.\n\n\c1yes / no\n\c0Accept or reject a service fee.\n\n\c1giveMoney [amount]\n\c0Give money to the player that you're looking at.\n\n\c1job [jobName]\n\c0Enter in jobName to apply for a job, or leave it blank to see your options.\n\n\c1reset\n\c0Resets your account for a price.\n\n\c1pardon [name]\n\c0Pardon a person from prison. (Official)");
}

function ZapkCRPG_helpLots()
{
	ZapkCRPG_clearHelp();
	ZapkCRPG_helpHeader.setValue("Lots");
	ZapkCRPG_helpText.setValue("\c0Lots are used to build things in CityRPG.\nThey can be used to make anything you want, from businesses to parks.\n\n\c1Info\n\c0In order to place a lot, you must have enough money for one. Here are all the lots available:\n\n\c1Small\n\c0Cost: $500\nSize: 16x16\n\n\c1Half-Small\n\c0Cost: $1000\nSize: 16x32\n\n\c1Medium\n\c0Cost: $2000\nSize: 32x32\n\n\c1Large\n\c0Cost: $8000\nSize: 64x64");
}

function ZapkCRPG_helpSales()
{
	ZapkCRPG_clearHelp();
	ZapkCRPG_helpHeader.setValue("Sales");
	ZapkCRPG_helpText.setValue("\c0With the event system, you can run an automated store which earns money for you!\n\n\c1Info\n\c0To request money from someone, use a sales event.\nThe user will then type \c1yes\c0 or \c1no\c0.\nYou can set up the events to handle response with \c1onTransferSuccess\c0 and \c1onTransferDecline\c0.\nYou cannot lose money from a transaction. In the '\c1sell\c0' events, weapons and food are autopriced.\nWhat goes in the box is how much profit you want, which will be added to the price of the service.");
}

function ZapkCRPG_helpEducation()
{
	ZapkCRPG_clearHelp();
	ZapkCRPG_helpHeader.setValue("Education");
	ZapkCRPG_helpText.setValue("\c0Education affects almost everything related to work.\n\n\c1Info\n\c0Laborers will obtain minerals much faster with a higher education.\nYou can only get jobs if you meet its education requirement.\nIf you work a low-end job with a high education, you will have increased wages.\n\n\c1Type /education to get your learn on.");
}

function ZapkCRPG_helpEvents()
{
	ZapkCRPG_clearHelp();
	ZapkCRPG_helpHeader.setValue("Events");
	ZapkCRPG_helpText.setValue("\c0Events are a very important aspect of CityRPG, mainly for jobs which include selling items/food/etc.\n\n\c1Input Events\n\c0onJobTestPass / onJobTestFail - The input events related to doJobTest.\nonTransferSuccess / onTransferDecline - Input events related to all automated funds transfer.\nonTransferDecline > Player is disabled to prevent abuse.\n\n\c1Output Events\n\c0These events only work on bricks.\ndoJobTest [Job] [NoConvicts] - Tests if user's job is [Job]. NoConvicts will fail inmates.\nsellFood [Food] [Markup] - Feeds a player using the automated sales system.\nsellItem [Item] [Markup] - Sells an item using the automated system.\nrequestFunds [Service] [Price] - Requests $[Price] for [Service]. Charge money for your events.\nSee 'Sales' for more info about the automated sales system.");
}

function ZapkCRPG_helpHunger()
{
	ZapkCRPG_clearHelp();
	ZapkCRPG_helpHeader.setValue("Hunger");
	ZapkCRPG_helpText.setValue("\c0Hunger gives incentive to buy. Don't, and you will suffer the consequences.\n\n\c1Info\n\c0To eat, you need to find a vendor (event based) which will feed you.\nTo sell food, use the sellFood event (see Events).\nYou cannot eat if you're full.\nHowever, you can eat when you're almost full and become stuffed, which will last you longer.\nIf you do not eat anything and a day passes after you are starving, you will die.\nWhile in jail, the state will keep your hunger content.\nDo not worry about starving while loading. Hunger will not kick in until you spawn once.\n\nTo learn how to sell food, see Jobs & Events.");
}

function ZapkCRPG_helpBounties()
{
	ZapkCRPG_clearHelp();
	ZapkCRPG_helpHeader.setValue("Bounties");
	ZapkCRPG_helpText.setValue("\c0Bounties are a way of making money or getting sweet revenge. Here's what you need to know.\n\n\c1Info\n\c0To claim a bounty, you need to kill the person in question.\nOnly the professions Bounty Hunter and Policeman can legally kill a wanted man.\nPlacing a hit is a crime for everyone, besides the Official.\nAnyone can legally claim a hit (and the rewards), if the hunted is (legally) wanted.\nArresting someone with a baton will give you the prize if the hunted is legally wanted.");
}

function ZapkCRPG_helpHUD()
{
	ZapkCRPG_clearHelp();
	ZapkCRPG_helpHeader.setValue("HUD");
	ZapkCRPG_helpText.setValue("\c0Your HUD is designed to make your experience easier and better.\n\n\c1Resources\n\c0The resources tab shows you how much ore/lumber you have.\n\n\c1Main Body\n\c0The main body of the HUD contains all the information you need to know. This includes:\nMoney in wallet.\nYour current location.\nYour name.\nHow many bricks you own.\nYour wanted level.\nHow hungry you are.\nYour tax amount.\nYour current job.\nYour education level (see Education).\nYour employee income.\n\n\c1Menu Panel\n\c0The menu panel gives you access to this help window, and the admin window for all server staff.\nTo click the buttons in the menu, you need to press M to activate your cursor.\n\nHave fun! If you have any trouble with your HUD, please let an admin know or post it on the forums.");
}