if(isObject(ZapkCRPG_HTTP_Updates))
{
	ZapkCRPG_HTTP_Updates.delete();
}

new HTTPObject(ZapkCRPG_HTTP_Updates);

function ZapkCRPG_HTTP_Updates::doRoutine(%this)
{
	%this.get("pastebin.com:80", "/raw.php?i=jmvwzy58");
}

function ZapkCRPG_UpdateCheck()
{
	ZapkCRPG_menuStatus.setValue("\c4Fetching Data...");
	ZapkCRPG_HTTP_Updates.doRoutine();
}

function ZapkCRPG_HTTP_Updates::onLine(%this, %line)
{
	if(firstWord(%line) $= "<latestVersion>")
	{
		$ZapkCRPG_HTTP_Updates_latestVersion = restWords(%line);
	}
	if(firstWord(%line) $= "<releaseDate>")
	{
		$ZapkCRPG_HTTP_Updates_releaseDate = restWords(%line);
	}
	if(firstWord(%line) $= "<downloadLink>")
	{
		$ZapkCRPG_HTTP_Updates_downloadLink = restWords(%line);
	}
	if(firstWord(%line) $= "<rtbID>")
	{
		$ZapkCRPG_HTTP_Updates_rtbID = restWords(%line);
	}
}

function ZapkCRPG_HTTP_Updates::onDisconnect(%this)
{
	if($ZapkCRPG_Version != $ZapkCRPG_HTTP_Updates_latestVersion && isObject(RTBMM_TransferQueue) && $ZapkCRPG_HTTP_Updates_rtbID !$= "")
	{
		ZapkCRPG_menuStatus.setValue("Status: <color:FF0000>Update Available" NL "<color:000000>Latest Version:" SPC $ZapkCRPG_HTTP_Updates_latestVersion NL "Date:" SPC $ZapkCRPG_HTTP_Updates_releaseDate);
		if(isObject(RTBCC_NotificationManager))
		{
			RTBCC_NotificationManager.push("Zapk's City RPG", "Downloading client updates.", "new", "", 5000);
			%notification = RTBCC_NotificationManager.getObject(RTBCC_NotificationManager.getCount() - 1);
			%notification.window.getObject(3).command = "ZapkCRPG_pushChangelogGui();" @ %notification @ ".state = \"done\";" @ %notification @ ".step();";
		}
		RTB_ModManager.setVisible(1);
		RTBMM_TransferQueue.addItem($ZapkCRPG_HTTP_Updates_rtbID);
	}
	else
	{
		ZapkCRPG_menuStatus.setValue("Status: <color:007700>Up to Date" NL "<color:000000>Latest Version:" SPC $ZapkCRPG_HTTP_Updates_latestVersion NL "Date:" SPC $ZapkCRPG_HTTP_Updates_releaseDate);
	}
}