//--For Testing--//
ZapkCRPG_HUD.delete();
if($ZapkCRPG_Hud_isLoaded)
{
	ZapkCRPG_HUD_UnLoad();
}
	
//--Load the GUI--//
exec($ZapkCRPG_Path @ "gui/HUD.gui");
//--Functions--//
function ZapkCRPG_HUD_Clear()
{
	ZapkCRPG_HUD_money.setValue("<just:right>$0");
	ZapkCRPG_HUD_education.setValue("<just:right>0");
	ZapkCRPG_HUD_hunger.setValue("<just:right>Content");
	ZapkCRPG_HUD_job.setValue("<just:right>Civilian");
	ZapkCRPG_HUD_location.setValue("<just:right>Zapkraft City");
}

function ZapkCRPG_HUD_Load()
{
	newChatHud.add(ZapkCRPG_HUD);
	ZapkCRPG_HUD_Clear();
	$ZapkCRPG_Hud_isLoaded = true;
	ZapkCRPG_HUD.editposition();
	commandToServer('ZapkCRPG_HUD_Load');
}

function ZapkCRPG_HUD_UnLoad()
{
	ZapkCRPG_HUD_Clear();
	ZapkCRPG_HUD.editposition();
	newChatHud.remove(ZapkCRPG_HUD);
	$ZapkCRPG_Hud_isLoaded = false;
	exec($ZapkCRPG_Path @ "HUD.gui");
	echo("\c4\c4ZapkCRPG HUD has been unloaded.");
}

deActivatePackage(ZapkCRPG_HUD_ModulePackage);

package ZapkCRPG_HUD_ModulePackage
{
	function disconnect(%a)
	{
		parent::disconnect(%a);

		if($ZapkCRPG_Hud_isLoaded)
		{
			ZapkCRPG_HUD_UnLoad();
		}
	}
};

ActivatePackage(ZapkCRPG_HUD_ModulePackage);

function clientCmdZapkCRPG_unhideHUD()
{
	ZapkCRPG_HUDcontrol.visible = true;
}

$ZapkCRPG_HUD_toggleStatus = 0;
function ZapkCRPG_toggleHUD(%val, %client)
{
	if(%val == 0)
		return;
	
	$ZapkCRPG_HUD_toggleStatus = !$ZapkCRPG_HUD_toggleStatus;
	
	if($ZapkCRPG_HUD_toggleStatus == 1)
	{
		ZapkCRPG_HUDcontrol.visible = false;
	}
	else
	{
		ZapkCRPG_HUDcontrol.visible = true;
	}
}

function ZapkCRPG_HUD::editposition(%gui)
{
	if(isObject(LoadingGUI))
	{
		ZapkCRPG_HUD.position = ((getWord(LoadingGUI.getExtent(), 0) - 800) * 2) SPC (getWord(LoadingGUI.getExtent(), 1) - 300);
		return ZapkCRPG_HUD.position;
	}
	if(isObject(newChatHud))
	{
		ZapkCRPG_HUD.position = ((getWord(newChatHud.getExtent(), 0) - 800) * 2) SPC (getWord(newChatHud.getExtent(), 1) - 300);
		return ZapkCRPG_HUD.position;
	}
	else
		ZapkCRPG_HUD.schedule(32, "editposition");
}

function clientCmdZapkCRPG_HUD_Load()
{
	ZapkCRPG_HUD_Load();
}

function clientCmdZapkCRPG_HUD_setmoney(%string)
{
	ZapkCRPG_HUD_money.setValue("<just:right>" @ %string);
	ZapkCRPG_HUD_Alert.DoHUDAlert();
}

function clientCmdZapkCRPG_HUD_seteducation(%string)
{
	ZapkCRPG_HUD_education.setValue("<just:right>" @ %string);
	ZapkCRPG_HUD_Alert.DoHUDAlert();
}

function clientCmdZapkCRPG_HUD_sethunger(%string)
{
	ZapkCRPG_HUD_hunger.setValue("<just:right>" @ %string);
	ZapkCRPG_HUD_Alert.DoHUDAlert();
}

function clientCmdZapkCRPG_HUD_setjob(%string)
{
	ZapkCRPG_HUD_job.setValue("<just:right>" @ %string);
	ZapkCRPG_HUD_Alert.DoHUDAlert();
}

function clientCmdZapkCRPG_HUD_setlocation(%string)
{
	ZapkCRPG_HUD_Alert.DoHUDAlert();
	if(!$Pref::ZapkCRPG::UpdateHUDLocation)
	{
		ZapkCRPG_HUD_location.setValue("<just:right>Zapkraft City");
		return;
	}
	ZapkCRPG_HUD_location.setValue("<just:right>" @ %string);
}

function clientCmdZapkCRPG_HUD_setWeather(%string)
{
	%string = strReplace(%string, "clear", "Clear");
	%string = strReplace(%string, "rainy", "Rainy");
	%string = strReplace(%string, "snowy", "Snowy");
	ZapkCRPG_HUD_weather.setValue("<just:right>" @ %string);
	%bitmap = "Add-Ons/Client_ZapkCityRPG/images/icons/weather/" @ %string @ ".png";
	ZapkCRPG_HUD_WeatherIcon.setBitmap(%bitmap);
	ZapkCRPG_HUD_Alert.DoHUDAlert();
}

function clientCmdZapkCRPG_HUD_setDate(%string)
{
	ZapkCRPG_HUD_date.setValue("<just:right>" @ %string);
	ZapkCRPG_HUD_Alert.DoHUDAlert();
}

function ZapkCRPG_HUD_Alert::DoHUDAlert(%this)
{
	if(!$Pref::ZapkCRPG::DoHUDAlerts)
	{
		return;
	}
	ZapkCRPG_HUD_Alert.reset();
}